"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSessionStatus = getSessionStatus;
const SessionKeyValidator_js_1 = require("../abis/SessionKeyValidator.js");
const constants_js_1 = require("../constants.js");
const sessions_js_1 = require("../sessions.js");
async function getSessionStatus(publicClient, address, sessionHashOrConfig) {
    const sessionHash = typeof sessionHashOrConfig === 'string'
        ? sessionHashOrConfig
        : (0, sessions_js_1.getSessionHash)(sessionHashOrConfig);
    return await publicClient.readContract({
        address: constants_js_1.SESSION_KEY_VALIDATOR_ADDRESS,
        abi: SessionKeyValidator_js_1.SessionKeyValidatorAbi,
        functionName: 'sessionStatus',
        args: [address, sessionHash],
    });
}
//# sourceMappingURL=getSessionStatus.js.map