"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.signMessage = signMessage;
const viem_1 = require("viem");
const getAgwTypedSignature_js_1 = require("../getAgwTypedSignature.js");
const sendPrivyTransaction_js_1 = require("./sendPrivyTransaction.js");
async function signMessage(client, signerClient, parameters, isPrivyCrossApp = false) {
    if (isPrivyCrossApp) {
        if (typeof parameters.message === 'object') {
            if (parameters.message.raw instanceof Uint8Array) {
                parameters.message = (0, viem_1.bytesToString)(parameters.message.raw);
            }
            else {
                parameters.message = (0, viem_1.fromHex)(parameters.message.raw, 'string');
            }
        }
        return await (0, sendPrivyTransaction_js_1.sendPrivySignMessage)(client, parameters);
    }
    return await (0, getAgwTypedSignature_js_1.getAgwTypedSignature)({
        client,
        signer: signerClient,
        messageHash: (0, viem_1.hashMessage)(parameters.message),
    });
}
//# sourceMappingURL=signMessage.js.map