"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InvalidEip712TransactionError = void 0;
const viem_1 = require("viem");
class InvalidEip712TransactionError extends viem_1.BaseError {
    constructor() {
        super([
            'Transaction is not an EIP712 transaction.',
            '',
            'Transaction must:',
            '  - include `type: "eip712"`',
            '  - include one of the following: `customSignature`, `paymaster`, `paymasterInput`, `gasPerPubdata`, `factoryDeps`',
        ].join('\n'), { name: 'InvalidEip712TransactionError' });
    }
}
exports.InvalidEip712TransactionError = InvalidEip712TransactionError;
//# sourceMappingURL=eip712.js.map