import type { Address, Hash, PublicClient, Transport } from 'viem';
import { type SessionConfig, SessionStatus } from '../sessions.js';
/**
 * Gets the current status of a session from the validator contract
 * @param publicClient - The public client to use for the contract call
 * @param address - The account address associated with the session
 * @param sessionHashOrConfig - Either the hash of the session configuration or the session configuration object itself
 * @returns The current status of the session (NotInitialized, Active, Closed, or Expired)
 */
export declare function getSessionStatus(publicClient: PublicClient<Transport>, address: Address, sessionHashOrConfig: Hash | SessionConfig): Promise<SessionStatus>;
//# sourceMappingURL=getSessionStatus.d.ts.map