import type { Address, Hex } from 'viem';
interface Capability {
    supported: boolean;
}
interface ChainCapabilities {
    paymasterService?: Capability;
    sessionKeys?: Capability;
    atomicBatch?: Capability;
}
type WalletCapabilities = Record<`0x${string}`, ChainCapabilities>;
export interface SendCallsParams {
    version: string;
    from: Address;
    calls: {
        to?: Address | undefined;
        data?: Hex | undefined;
        value?: Hex | undefined;
        chainId?: Hex | undefined;
    }[];
    capabilities?: WalletCapabilities | undefined;
}
export declare const agwCapabilities: WalletCapabilities;
export {};
//# sourceMappingURL=eip5792.d.ts.map